
const state = {
  userinfo: ''
}

const mutations = {
  updateUser: (state, user) => {
    state.userinfo = user
  }
}

const actions = {
  changeSetting({ commit }, user) {
    commit('updateUser', user)
  },

  // get user info
  getInfo({ commit, state }) {
    return state.userinfo
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}


